<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="ebay.hibernate.DbAliorderinfo" table="DB_ALIORDERINFO">
        <id name="sequenceid" type="java.lang.String">
            <column name="SEQUENCEID" length="100" />
            <generator class="uuid.hex" />
        </id>
        <property name="orderid" type="java.lang.String">
            <column name="ORDERID" length="100" />
        </property>
        <property name="corpid" type="java.lang.String">
            <column name="CORPID" length="100" />
        </property>
        <property name="tradeid" type="java.lang.String">
            <column name="TRADEID" length="100" />
        </property>
        <property name="maintradeid" type="java.lang.String">
            <column name="MAINTRADEID" length="100" />
        </property>
        <property name="groupid" type="java.lang.String">
            <column name="GROUPID" length="100" />
        </property>
        <property name="customerid" type="java.lang.String">
            <column name="CUSTOMERID" length="200" />
        </property>
        <property name="customername" type="java.lang.String">
            <column name="CUSTOMERNAME" length="1000" />
        </property>
        <property name="customerfirstname" type="java.lang.String">
            <column name="CUSTOMERFIRSTNAME" length="500" />
        </property>
        <property name="customerlastname" type="java.lang.String">
            <column name="CUSTOMERLASTNAME" length="500" />
        </property>
        <property name="customertype" type="java.lang.String">
            <column name="CUSTOMERTYPE" length="1000" />
        </property>
        <property name="customertel1" type="java.lang.String">
            <column name="CUSTOMERTEL1" length="400" />
        </property>
        <property name="customertel2" type="java.lang.String">
            <column name="CUSTOMERTEL2" length="400" />
        </property>
        <property name="customeremail" type="java.lang.String">
            <column name="CUSTOMEREMAIL" length="400" />
        </property>
        <property name="customercountry" type="java.lang.String">
            <column name="CUSTOMERCOUNTRY" length="1000" />
        </property>
        <property name="customercountrycn" type="java.lang.String">
            <column name="CUSTOMERCOUNTRYCN" length="100" />
        </property>
        <property name="customercountry2" type="java.lang.String">
            <column name="CUSTOMERCOUNTRY2" length="100" />
        </property>
        <property name="customerprovince" type="java.lang.String">
            <column name="CUSTOMERPROVINCE" length="1000" />
        </property>
        <property name="customercity" type="java.lang.String">
            <column name="CUSTOMERCITY" length="1000" />
        </property>
        <property name="customeraddress" type="java.lang.String">
            <column name="CUSTOMERADDRESS" length="4000" />
        </property>
        <property name="customerzipcode" type="java.lang.String">
            <column name="CUSTOMERZIPCODE" length="200" />
        </property>
        <property name="customerreserve1" type="java.lang.String">
            <column name="CUSTOMERRESERVE1" length="3000" />
        </property>
        <property name="customerreserve2" type="java.lang.String">
            <column name="CUSTOMERRESERVE2" length="3000" />
        </property>
        <property name="customerreserve3" type="java.lang.String">
            <column name="CUSTOMERRESERVE3" length="3000" />
        </property>
        <property name="customerreserve4" type="java.lang.String">
            <column name="CUSTOMERRESERVE4" length="3000" />
        </property>
        <property name="customerreserve5" type="java.lang.Long">
            <column name="CUSTOMERRESERVE5" precision="20" scale="0" />
        </property>
        <property name="customerreserve6" type="java.lang.Double">
            <column name="CUSTOMERRESERVE6" precision="15" />
        </property>
        <property name="customerreserve7" type="java.lang.Double">
            <column name="CUSTOMERRESERVE7" precision="15" />
        </property>
        <property name="customerreserve8" type="java.lang.Double">
            <column name="CUSTOMERRESERVE8" precision="15" />
        </property>
        <property name="shoptypeid" type="java.lang.String">
            <column name="SHOPTYPEID" length="100" />
        </property>
        <property name="shoptype" type="java.lang.String">
            <column name="SHOPTYPE" length="200" />
        </property>
        <property name="moneytype" type="java.lang.String">
            <column name="MONEYTYPE" length="200" />
        </property>
        <property name="moneyask" type="java.lang.Double">
            <column name="MONEYASK" precision="12" scale="4" />
        </property>
        <property name="moneyaction" type="java.lang.Double">
            <column name="MONEYACTION" precision="12" scale="4" />
        </property>
        <property name="moneyexpressask" type="java.lang.Double">
            <column name="MONEYEXPRESSASK" precision="12" scale="4" />
        </property>
        <property name="ordertime" type="java.util.Date">
            <column name="ORDERTIME" length="7" />
        </property>
        <property name="uploadtime" type="java.util.Date">
            <column name="UPLOADTIME" length="7" />
        </property>
        <property name="paytime" type="java.util.Date">
            <column name="PAYTIME" length="7" />
        </property>
        <property name="expressweight" type="java.lang.Double">
            <column name="EXPRESSWEIGHT" precision="12" scale="4" />
        </property>
        <property name="oper" type="java.lang.String">
            <column name="OPER" length="100" />
        </property>
        <property name="status" type="java.lang.String">
            <column name="STATUS" length="200" />
        </property>
        <property name="finalvaluefee" type="java.lang.Double">
            <column name="FINALVALUEFEE" precision="12" scale="4" />
        </property>
        <property name="transactionid" type="java.lang.String">
            <column name="TRANSACTIONID" length="200" />
        </property>
        <property name="sku" type="java.lang.String">
            <column name="SKU" length="100" />
        </property>
        <property name="productname" type="java.lang.String">
            <column name="PRODUCTNAME" length="4000" />
        </property>
        <property name="ordernum" type="java.lang.Long">
            <column name="ORDERNUM" precision="15" scale="0" />
        </property>
        <property name="costprice" type="java.lang.Double">
            <column name="COSTPRICE" precision="12" scale="4" />
        </property>
        <property name="sellprice" type="java.lang.Double">
            <column name="SELLPRICE" precision="12" scale="4" />
        </property>
        <property name="amount" type="java.lang.Double">
            <column name="AMOUNT" precision="12" scale="4" />
        </property>
        <property name="descr2" type="java.lang.String">
            <column name="DESCR2" length="4000" />
        </property>
        <property name="originsellprice" type="java.lang.Double">
            <column name="ORIGINSELLPRICE" precision="12" scale="4" />
        </property>
        <property name="originexpress" type="java.lang.Double">
            <column name="ORIGINEXPRESS" precision="12" scale="4" />
        </property>
        <property name="origininsurance" type="java.lang.Double">
            <column name="ORIGININSURANCE" precision="12" scale="4" />
        </property>
        <property name="insurance" type="java.lang.Double">
            <column name="INSURANCE" precision="12" scale="4" />
        </property>
        <property name="shippingservice" type="java.lang.String">
            <column name="SHIPPINGSERVICE" length="4000" />
        </property>
        <property name="notetoyourself" type="java.lang.String">
            <column name="NOTETOYOURSELF" length="4000" />
        </property>
        <property name="ebayitemid" type="java.lang.String">
            <column name="EBAYITEMID" length="100" />
        </property>
        <property name="paypalemail" type="java.lang.String">
            <column name="PAYPALEMAIL" length="200" />
        </property>
        <property name="paypalid" type="java.lang.String">
            <column name="PAYPALID" length="100" />
        </property>
        <property name="orderreserve1" type="java.lang.String">
            <column name="ORDERRESERVE1" length="1000" />
        </property>
        <property name="orderreserve2" type="java.lang.String">
            <column name="ORDERRESERVE2" length="1000" />
        </property>
        <property name="orderreserve3" type="java.lang.String">
            <column name="ORDERRESERVE3" length="1000" />
        </property>
        <property name="orderreserve4" type="java.lang.Long">
            <column name="ORDERRESERVE4" precision="10" scale="0" />
        </property>
        <property name="orderreserve5" type="java.lang.Long">
            <column name="ORDERRESERVE5" precision="10" scale="0" />
        </property>
        <property name="orderreserve6" type="java.lang.Double">
            <column name="ORDERRESERVE6" precision="12" scale="4" />
        </property>
        <property name="orderreserve7" type="java.lang.Double">
            <column name="ORDERRESERVE7" precision="12" scale="4" />
        </property>
        <property name="reserve1" type="java.lang.String">
            <column name="RESERVE1" length="1000" />
        </property>
        <property name="reserve2" type="java.lang.String">
            <column name="RESERVE2" length="1000" />
        </property>
        <property name="reserve3" type="java.lang.String">
            <column name="RESERVE3" length="1000" />
        </property>
        <property name="reserve4" type="java.lang.String">
            <column name="RESERVE4" length="1000" />
        </property>
        <property name="reserve5" type="java.lang.String">
            <column name="RESERVE5" length="1000" />
        </property>
        <property name="reserve6" type="java.lang.Long">
            <column name="RESERVE6" precision="10" scale="0" />
        </property>
        <property name="reserve7" type="java.lang.Long">
            <column name="RESERVE7" precision="10" scale="0" />
        </property>
        <property name="reserve8" type="java.lang.Double">
            <column name="RESERVE8" precision="12" scale="4" />
        </property>
        <property name="reserve9" type="java.lang.Double">
            <column name="RESERVE9" precision="12" scale="4" />
        </property>
        <property name="errorflag" type="java.lang.String">
            <column name="ERRORFLAG" length="10" />
        </property>
        <property name="errorinfo" type="java.lang.String">
            <column name="ERRORINFO" length="4000" />
        </property>
        <property name="opertime" type="java.util.Date">
            <column name="OPERTIME" length="7" />
        </property>
        <property name="recordnum" type="java.lang.Long">
            <column name="RECORDNUM" precision="10" scale="0" />
        </property>
        <property name="moneyrate" type="java.lang.Double">
            <column name="MONEYRATE" precision="6" />
        </property>
        <property name="originordermoney" type="java.lang.Double">
            <column name="ORIGINORDERMONEY" precision="10" />
        </property>
        <property name="originexpressmoney" type="java.lang.Double">
            <column name="ORIGINEXPRESSMONEY" precision="10" />
        </property>
        <property name="origininsurance1" type="java.lang.Double">
            <column name="ORIGININSURANCE1" precision="10" />
        </property>
        <property name="originfinalvaluefee" type="java.lang.Double">
            <column name="ORIGINFINALVALUEFEE" precision="10" />
        </property>
        <property name="ebaycustomeraddress" type="java.lang.String">
            <column name="EBAYCUSTOMERADDRESS" length="4000" />
        </property>
    </class>
</hibernate-mapping>
